Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Update or upsert a product type

If no product type with this id exists for the account’s seller, one is created instead (upsert), returning 201.

PUT/product_types/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Request body
requiredapplication/json
namestring
slugstring
cart_quantity_multipleinteger
unit_of_measurestring
Responses
200

Product type updated

201

Product type did not exist — created instead

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.onbolder.com/v2/product_types/1' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Electronics Updated"
}'
Response
Product type updated

Was this page helpful?